﻿using UnityEngine;
using System.Collections;

public class Thruster : KeybindableComponent {

	// Use this for initialization
	void Start () {
        shipRigidbody = this.transform.root.GetComponent<Rigidbody>();
        if(shipRigidbody == null)
        {
            Debug.LogError("No rigidbody?");
        }

	}

    float ThrusterStrength = 10f;

    Rigidbody shipRigidbody;


    // FixedUpdate runs immediately before each tick of the physics engine.
    // This is where all changes to physics should happen.
    // (Exception: Totally instantaneous physical effects CAN be done in normal
    // Update(), but it's probably less confusing if you still do them in Fixed.)
    void FixedUpdate()
    {
        if(shipRigidbody.isKinematic == true)
        {
            return;
        }

        if( Input.GetKey(keyCode) )
        {
            Debug.Log(keyCode);
            Vector3 theForce = -this.transform.forward * ThrusterStrength;

            shipRigidbody.AddForceAtPosition( theForce, this.transform.position );
        }

    }
	
	// Update is called once per VISUAL frame
	void Update () {
	
	}
}
